package com.muyu.domain;

import com.muyu.enums.DataType;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author WangXin
 * @Data 2024/8/27
 * @Description 数据结构
 * @Version 1.0.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DataStructure {
    /**
     * 字段名
     */
    private String key;
    /**
     * 字段类型
     */
    private DataType type;
    /**
     * 描述
     */
    private String label;
    /**
     * 值
     */
    private Object value;
}
